package net.sf.sido.constraint;

import com.google.common.base.Predicate;

public class StringLengthConstraint implements Predicate<String> {

	private final int maxlength;

	public StringLengthConstraint(int maxlength) {
		this.maxlength = maxlength;
	}

	@Override
	public boolean apply(String value) {
		return value == null || value.trim().length() <= this.maxlength;
	}

	public int getMaxlength() {
		return this.maxlength;
	}

}
