package net.sf.sido.factory.support;

import com.google.common.base.Function;
import com.google.common.collect.Lists;
import net.sf.sido.DataObject;
import net.sf.sido.array.Array;
import net.sf.sido.constraint.ConstraintDefinition;
import net.sf.sido.constraint.ConstraintDefinitions;

import java.util.List;

public class DefaultConstraintDefinitions implements ConstraintDefinitions {

    private final Array<DataObject> constraints;

    public DefaultConstraintDefinitions(Array<DataObject> constraints) {
        this.constraints = constraints;
    }

    @Override
    public List<ConstraintDefinition> getConstraintDefinitions() {
		return Lists.transform(constraints.toList(), new Function<DataObject, ConstraintDefinition>() {

            @Override
            public ConstraintDefinition apply(DataObject c) {
                return new DefaultConstraintDefinition(c);
            }
        });
    }
}
